package com.ozs.da.entity.dataquality;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: ListDataDTO
 * @Description:数据质量管理获取表中数据实体类
 * @author: Zhao You Kai
 * @date: Apr 3, 2019 4:14:03 PM
 */
public class ListDataDTO {

	@ApiModelProperty("主键字段")
	private List<String> primaryColumns;
	@ApiModelProperty("字段展示列表")
	private List<String> listColumn;
	@ApiModelProperty("数据列表")
	private List<Map<String, Object>> listData;

	public List<String> getListColumn() {
		return listColumn;
	}

	public void setListColumn(List<String> listColumn) {
		this.listColumn = listColumn;
	}

	public List<String> getPrimaryColumns() {
		return primaryColumns;
	}

	public void setPrimaryColumns(List<String> primaryColumns) {
		this.primaryColumns = primaryColumns;
	}

	public List<Map<String, Object>> getListData() {
		return listData;
	}

	public void setListData(List<Map<String, Object>> listData) {
		this.listData = listData;
	}

}
